<?php
User::blockNotWorking();
Yii::app()->clientScript->registerScript('submit', '
$(document).ready( function() {
    $("#submit_button").click(function() {
        $(this).prop("disabled",true).parents("form").submit();
    });
})
');
?>

<div class="form">
    <?php
        if ($model->isNewRecord) {
            if (empty($model->ATD_IDFUNCIONARIO)) {
                $model->ATD_IDFUNCIONARIO = User::getId();
            }

            if (empty($model->ATD_TIPO)) {
                $model->ATD_TIPO = 'F';
            }

            if (empty($model->ATD_DTCADASTRO)) {
                $model->ATD_DTCADASTRO = date('d/m/Y');
            }

            if (empty($model->CLI_DT_PROXIMA_AVALIACAO_IMPLANTACAO) && !isset($_POST['Atendimentos']['CLI_DT_PROXIMA_AVALIACAO_IMPLANTACAO']) ){
                $model->CLI_DT_PROXIMA_AVALIACAO_IMPLANTACAO = date('d/m/Y', strtotime('+1 month'));
            }

            if (empty($model->ATD_HORAINICIO)) {
                $model->ATD_HORAINICIO = date('H:i');
            }
        }

        $liberaAvaliacaoImplantacao = ($cliente->CLI_AVALIACAO_IMPLANTACAO == Clientes::IMPLANTACAO_INICIADA_PENDENTE_PRIMEIRA_AVALIACAO || $cliente->CLI_AVALIACAO_IMPLANTACAO == Clientes::IMPLANTACAO_FINALIZADA_PENDENTE_SEGUNDA_AVALIACAO);

        $form = $this->beginWidget('GxActiveForm', array(
            'id' => 'atendimentos-form',
            'enableAjaxValidation' => false,
            'focus' => array($model, 'ATD_IDCLIENTE'),
        ));
    ?>

    <?php echo FaHtml::getFormInfo($form, $model); ?>

    <?php echo $form->hiddenField($model, 'ATD_IDCLIENTE', array('type' => "hidden", 'value' => $cliente->CLI_IDCLIENTE)); ?>
    <div class="row">
        <?php echo $form->labelEx($model, 'ATD_DTCADASTRO'); ?>
        <?php $form->widget('ext.Utils.widgets.CrmDatePicker', array('model' => $model, 'attribute' => 'ATD_DTCADASTRO')); ?>
        <?php echo $form->error($model, 'ATD_DTCADASTRO'); ?>
    </div><!-- row -->
    <div class="row">
        <?php echo $form->labelEx($model, 'ATD_HORAINICIO'); ?>
        <?php echo $form->textField($model, 'ATD_HORAINICIO', array('maxlength' => 5, 'class' => 'format_hora hora_inicio')); ?>
        <?php echo $form->error($model, 'ATD_HORAINICIO'); ?>
    </div><!-- row -->
    <div class="row">
        <?php echo $form->labelEx($model, 'ATD_HORAFINAL'); ?>
        <?php echo $form->textField($model, 'ATD_HORAFINAL', array('maxlength' => 5, 'class' => 'format_hora hora_final')); ?>
        <?php echo $form->error($model, 'ATD_HORAFINAL'); ?>
    </div><!-- row -->
    <div class="row">
        <?php echo $form->labelEx($model, 'ATD_TOTALHORAS'); ?>
        <?php echo $form->textField($model, 'ATD_TOTALHORAS', array('readonly' => 'enabled', 'class' => 'total_horas')); ?>
        <?php echo $form->error($model, 'ATD_TOTALHORAS'); ?>
    </div><!-- row -->

    <?php echo $form->hiddenField($model, 'ATD_SITUACAO', array('type' => "hidden", 'value' => 'R')); ?>

    <div class="row">
        <?php echo $form->labelEx($model, 'ATD_TIPO'); ?>
        <?php
            echo $form->dropDownList($model, 'ATD_TIPO', Util::$tipo_de_contato_suprimido_2, array('prompt' => 'Selecione'));
        ?>
        <?php echo $form->error($model, 'ATD_TIPO'); ?>
    </div><!-- row -->

    <?php if (!isset($update)) { ?>
        <div class="row">
            <?php echo $form->labelEx($model, 'ATD_IDMOTIVO'); ?>
            <?php
                $ids = ($liberaAvaliacaoImplantacao) ? '455, 454' : '464, 454';
                echo $form->dropDownList($model, 'ATD_IDMOTIVO', GxHtml::listDataEx(Motivos::model()->findAll('MOT_IDMOTIVO in ('.$ids.') order by MOT_DESCRICAO')), array('prompt' => 'Selecione'));
            ?>
            
            <div class="color-blue"><b>Avaliação implantação:</b>
                <?php
                switch ($cliente->CLI_AVALIACAO_IMPLANTACAO) {
                    case Clientes::IMPLANTACAO_NAO_INICIADA:
                        echo 'Implantação não iniciada.';
                        break;
                    case Clientes::IMPLANTACAO_INICIADA_PENDENTE_PRIMEIRA_AVALIACAO:
                        echo 'Implantação iniciada, pendente primeira avaliação.';
                        break;
                    case Clientes::IMPLANTACAO_INICIADA_FEITA_PRIMEIRA_AVALIACAO:
                        echo 'Primeira avaliação feita, porém a Implantação não foi finalizada.';
                        break;
                    case Clientes::IMPLANTACAO_FINALIZADA_PENDENTE_SEGUNDA_AVALIACAO:
                        echo 'Implantação finalizada, pendente segunda avaliação.';
                        break;
                    case Clientes::IMPLANTACAO_FINALIZADA_FEITA_SEGUNDA_AVALIACAO:
                        echo 'Finalizadas avaliações da implantação.';
                        break;
                }
                ?>
            </div>
          <?php echo $form->error($model, 'ATD_IDMOTIVO'); ?>
        </div><!-- row -->

        <?php if($liberaAvaliacaoImplantacao) { ?>
            <fieldset class="half radius box-shadow avaliacao" style="display:<?php echo in_array($model->ATD_IDMOTIVO, array(455)) ? 'block' : 'none'; ?>">
                <strong>Nível de satisfação do cliente quanto a:</strong>
                <div class="row">
                    <?php echo $form->labelEx($model, 'ATD_NOTA_SATISFACAO_IMPLANTACAO'); ?>
                    <?php echo $form->dropDownList($model, 'ATD_NOTA_SATISFACAO_IMPLANTACAO', Util::getGrauSatisfacaoList(), array('prompt' => 'Selecione ...')); ?>
                    <?php echo $form->error($model, 'ATD_NOTA_SATISFACAO_IMPLANTACAO'); ?>
                </div><!-- row -->
            </fieldset>
        <?php } ?>

        <fieldset class="half radius box-shadow opcoes_agendar">
            <strong>Próximo contato:</strong>
            <div class="row agendar">
                <?php echo $form->labelEx($model, 'ATD_AGENDAR', array('label' => "Agendar próximo contato?")); ?>
                <?php echo $form->dropDownList($model, 'ATD_AGENDAR', array('1' => 'Sim', '3' => 'Não')); ?>
                <?php echo $form->error($model, 'ATD_AGENDAR'); ?>
            </div><!-- row -->
            <div class="row agendar_avaliacao">
                <?php echo $form->label($model, 'CLI_DT_PROXIMA_AVALIACAO_IMPLANTACAO', array('required' => true)); ?>
                <?php $form->widget('ext.Utils.widgets.CrmDatePicker', array('model' => $model, 'attribute' => 'CLI_DT_PROXIMA_AVALIACAO_IMPLANTACAO')); ?>
                <?php echo $form->error($model, 'CLI_DT_PROXIMA_AVALIACAO_IMPLANTACAO'); ?>
            </div><!-- row -->
        </fieldset>
    <?php } ?>

    <?php if (in_array(User::getPrivilegio(), array(4, 10, 16, 17, 19, 21))) { ?>
        <div class="row">
            <?php echo $form->hiddenField($model, 'ATD_IDFUNCIONARIO', array('type' => "hidden", 'value' => User::getId())); ?>
        </div><!-- row -->
    <?php } else { ?>
        <div class="row">
            <?php echo $form->labelEx($model, 'ATD_IDFUNCIONARIO', array('label' => 'Atendente')); ?>
            <?php 
            $setores = User::isRevenda() ? '1,3,4,5': '1,3,4,5,7,9,10';
            echo $form->dropDownList($model, 'ATD_IDFUNCIONARIO', GxHtml::listDataEx(Funcionarios::model()->findAll('FUN_SITUACAO = "A" AND FUN_TBL_CONTROLE_IMPLANTACAO = 1 and FUN_IDFUNCIONARIO in ('.User::getFuncionariosRevendas(true).') AND FUN_IDSETOR in ('.$setores.') order by FUN_NOME')));
            ?>
            <?php echo $form->error($model, 'ATD_IDFUNCIONARIO'); ?>
        </div><!-- row -->
    <?php } ?>
    
    <div class="row">
        <?php echo $form->labelEx($model, 'ATD_CONTATO'); ?>
        <?php echo $form->textField($model, 'ATD_CONTATO'); ?>
        <?php echo $form->error($model, 'ATD_CONTATO'); ?>
    </div><!-- row -->
    <div class="row atd_obs">
        <?php echo $form->labelEx($model, 'ATD_OBS'); ?>
        <?php echo $form->textArea($model, 'ATD_OBS'); ?>
        <?php echo $form->error($model, 'ATD_OBS'); ?>
    </div><!-- row -->
    <?php echo $form->hiddenField($model, 'ATD_IDUSUARIO', array('type' => "hidden", 'value' => User::getId())); ?>

    <?php
        echo FaHtml::saveButton();
        $this->endWidget();
    ?>
</div><!-- form -->

<script>
    $(document).ready(function () {
        var avaliacaoImplantacao = <?php echo $cliente->CLI_AVALIACAO_IMPLANTACAO == null ? 0 : $cliente->CLI_AVALIACAO_IMPLANTACAO; ?>;
        function verificaOpcoes() {
            $('.avaliacao').hide();
            $('.agendar').hide();
            $('.opcoes_agendar').hide();
            $('.agendar_avaliacao').hide();

            if($('#Atendimentos_ATD_IDMOTIVO').val() == "455") { // avaliação implantação
                $('.avaliacao').show();
                $('#Atendimentos_ATD_AGENDAR').find('option[value=1]').prop('selected', true);
                if(avaliacaoImplantacao == <?php echo Clientes::IMPLANTACAO_INICIADA_PENDENTE_PRIMEIRA_AVALIACAO ?>) {
                    $('.opcoes_agendar').show();
                    $('.agendar_avaliacao').show();
                }
            } else { // tentativa de contato
                $('.agendar').show();
                $('.opcoes_agendar').show();
                verificaOpcoesAgenda();
            }
        }
        function verificaOpcoesAgenda() {
            $('.opcoes_agendar').hide();
            $('.agendar_avaliacao').hide();
            if($('#Atendimentos_ATD_IDMOTIVO').val() != "") {
                $('.opcoes_agendar').show();
                if($('#Atendimentos_ATD_AGENDAR').val() == '1') { // avaliação implantação
                    $('.agendar_avaliacao').show();
                }
            }
        }
        verificaOpcoes();
        $('#Atendimentos_ATD_IDMOTIVO').change(verificaOpcoes);
        $('#Atendimentos_ATD_AGENDAR').change(verificaOpcoesAgenda);
    });
</script>
